Loading...
Searching...
No Matches
strong_type.hpp File Reference

Provides basic data structure for strong types. More...

`#include <concepts>`
`#include <type_traits>`
`#include <seqan3/core/add_enum_bitwise_operators.hpp>`
`#include <seqan3/core/debug_stream/debug_stream_type.hpp>`
`#include <seqan3/utility/type_traits/basic.hpp>`
Include dependency graph for strong_type.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | seqan3::strong_type_printer< strong_type_t >
| A strong type can be printed by printing its underlying value. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Detailed Description

Provides basic data structure for strong types.

Author
  Rene Rahn <rene.rahn AT fu-berlin.de>

Hide me